SimpleTokenizer (Apache OpenNLP UIMA Annotators 1.9.5 API)
Date: 2026-06-18

opennlp.uima.tokenize

## Class SimpleTokenizer

- java.lang.Object
- - org.apache.uima.analysis_component.AnalysisComponent_ImplBase
  - - org.apache.uima.analysis_component.Annotator_ImplBase
    - - org.apache.uima.analysis_component.CasAnnotator_ImplBase
      - - opennlp.uima.tokenize.AbstractTokenizer
        - - opennlp.uima.tokenize.SimpleTokenizer

- All Implemented Interfaces:
    org.apache.uima.analysis_component.AnalysisComponent

      public final class SimpleTokenizer
      extends AbstractTokenizer

  OpenNLP Simple Tokenizer annotator.

  Mandatory parameters

  Type | Name | Description
  --- | --- | ---
  String | opennlp.uima.SentenceType | The full name of the sentence type
  String | opennlp.uima.TokenType | The full name of the token type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTokenizer()` Initializes the current instance.

  - ### Method Summary

    - ### Methods inherited from class opennlp.uima.tokenize.AbstractTokenizer

      `initialize, process, typeSystemInit`

    - ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

      `getRequiredCasInterface, process`

    - ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

      `getCasInstancesRequired, hasNext, next`

    - ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

      `batchProcessComplete, collectionProcessComplete, destroy, reconfigure, setResultSpecification`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTokenizer

          public SimpleTokenizer()

      Initializes the current instance.

      Note: Use `AbstractTokenizer.initialize(UimaContext)` to initialize this instance. Not use the constructor.

Copyright © 2026 The Apache Software Foundation. All rights reserved.